'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TextFieldDatalist = function TextFieldDatalist(_ref) {
  var list = _ref.list,
      datalist = _ref.datalist;

  return _react2.default.createElement(
    'datalist',
    { id: list },
    datalist.map(function (value, i) {
      return _react2.default.createElement(
        'option',
        { key: i, value: value },
        value
      );
    })
  );
};

TextFieldDatalist.propTypes = {
  list: _propTypes2.default.string,
  datalist: _propTypes2.default.array
};

exports.default = TextFieldDatalist;